<?php
class CsvimportsController extends AppController
{
	
	var $uses = array('Config', 'Csvimport', 'Manufacturer');

	function import() {
		$this->set('manufacturers', $this->Manufacturer->findAll(null, null, "order by name asc"));
		$this->set('csvimports', $this->Csvimport->findAll(null, null, "order by uts_uploaded desc", "30"));
	}


	function add()
    {

		//print_r($this);


        if (isset ($this->params["form"]["fileupload"]["tmp_name"]) &&
             is_uploaded_file($this->params["form"]["fileupload"]["tmp_name"]))
        {
            $fileData = fread(fopen($this->params["form"]["fileupload"]["tmp_name"], "r"),
                                     $this->params["form"]["fileupload"]["size"]);


			$formdump =print_r($this->params['data'], true);
	

			$tmp=array();
			$tmp['data'] = $fileData;
			$tmp['filename'] = $this->params["form"]["fileupload"]["name"];
			$tmp['remote_ip'] = $_SERVER['REMOTE_ADDR'];
			$tmp['uts_uploaded']=time();
			$tmp['filetype']=$this->params["form"]["fileupload"]["type"];
			$tmp['filesize']=$this->params["form"]["fileupload"]["size"];
			$tmp['formdump']=$formdump;

            $this->Csvimport->save($tmp);



			// csv parsen
//			echo $fileData;

			//file_put_contents("/web/vhosts/cake.langhofer.net/tmp/foo", $fileData);

			$importcounter=0; // anzahl der datensätze im csv-file
			$importetActually=0; // anzahl der datensätze die upgedatet wurden oder geinserted wurden (von mysql)
			$sql = new Csvimport();

			//require_once($_SERVER['DOCUMENT_ROOT'] . "/../files/app/models/salesarea.php");
			//$salesareaModel = new Salesarea();
			//$salesareas= $salesareaModel->findAll();
			//print_r($salesareas);


			$dstTable = $this->params['data']['Csvimport']['destinationtable'];
			
			$manufacturerID = $this->params['data']['Csvimport']['manufacturerID'];

			if ($dstTable == "csvproducts") {
				$sql->query("update $dstTable set isEnabled='n' where manufacturer_id=$manufacturerID");
			} elseif ($dstTable == "csvstores") {
				$sql->query("update $dstTable set isEnabled='n'");
			}


			$lines = split("\n",$fileData);
			foreach ($lines as $line) {
				$fields = split(";",$line);
				
				//print_r($fields);
				
				// trim fields
				for ($i=0; $i<sizeof($fields); $i++) {
					$fields[$i]=mysql_real_escape_string(trim($fields[$i]));
				}
				

				// id der fremden firma, zB mct-id, saeco-id, netgear-id ...
				// also die id, die das produkt, den markt, .. aus sicht vom kunden eindeutig macht
				// diese id muss immer in der 1. spalte stehn
				$forignID=$fields[0];

				if (trim($forignID)=="") {
					continue; // skip line if no id given
				}

				if (trim($forignID)!="") {
					// nur nicht-leere ids einfügen ("")
					/*
					if ($dstTable == "csvpointofsales") {
						$query = "INSERT INTO $dstTable (saecoID, name, num_stock)
									VALUES('$fields[0]', '$fields[1]', '$fields[2]')
									ON DUPLICATE KEY UPDATE isEnabled='y', name ='$fields[1]', num_stock='$fields[2]'";
					}
					*/
					
					
					$query="";
					if ($dstTable == "csvproducts") {
					
						if (count($fields) == 11) {
							$retailPrice = $this->parseMoney($fields[4]);
							//print_r($fields);
							
							$query = "INSERT INTO $dstTable (	isEnabled, manufacturer_id, productID, productDescription,
																warranty, comment, retailPrice, cosmosNumber, msbNumber,
																productCategory, must_a, must_b, must_c)
										VALUES(	'y', $manufacturerID, '$fields[0]', '$fields[1]', '$fields[2]', 
												'$fields[3]', '$retailPrice', '$fields[5]',
												'$fields[6]', '$fields[7]','$fields[8]', '$fields[9]','$fields[10]')
												
										ON DUPLICATE KEY UPDATE 
												isEnabled='y', 
												manufacturer_id='$manufacturerID',
												productDescription='$fields[1]',
												warranty ='$fields[2]',  
												comment='$fields[3]', 
												retailPrice ='$retailPrice', 
												cosmosNumber='$fields[5]' ,
												msbNumber='$fields[6]', 
												productCategory='$fields[7]',
												must_a='$fields[8]', 
												must_b='$fields[9]',
												must_c='$fields[10]'
												";
						}
					}

					if ($dstTable == "csvstores") {

						//if (count($fields) == 10) {
	
							
							
							$query = "INSERT INTO $dstTable (uniqueExtID, organization, address, zipcode, city)
										VALUES('$forignID', '$fields[1]', '$fields[2]', '$fields[3]', '$fields[4]')
										ON DUPLICATE KEY UPDATE isEnabled='y', organization='$fields[1]', address='$fields[2]', zipcode='$fields[3]', city='$fields[4]'";
						//}
					}
					
					
					if ($query != "") {
						//echo $query;
						$sql->query($query);
						if (mysql_affected_rows() == 1) {
							$importetActually ++;
						}
						
						//print_r(mysql_info());
						$importcounter++;
					}
				}


			}

			//$sql = new Csvimport();
			//$sql->query('LOAD DATA LOCAL INFILE "/web/vhosts/cake.langhofer.net/tmp/foo" INTO TABLE `'.$dstTable.'` FIELDS TERMINATED BY \';\'  LINES TERMINATED BY \'\n\' ');



            $this->flash($importcounter . " Datensätze in CSV gefunden. Davon: $importetActually neue Datensätze. Die restlichen " .($importcounter-$importetActually) ." Datensätze wurden aktualisiert", '/csvimports/import');

        }
    }


	function download($id)
	{
		$file = $this->Csvimport->findById($id);
		//print_r($file);

		header('Content-type: ' . $file['Csvimport']['filetype']);
		header("Content-length: " . $file['Csvimport']['filesize']);
		header("Content-Disposition: attachment; filename=".$file['Csvimport']['filename']);
		echo $file['Csvimport']['data'];

		exit();
	}

}
?>
