<?php
class User extends AppModel
{
    var $name = 'User';
	


	var $belongsTo= array('Roles' =>
                        array('className'    => 'Role',
                              'conditions'   => '',
                              'order'        => '',
                              'foreignKey'   => 'role_id'
                        ),



                  );
	var $validate = array(
        'username' => array(
            'rule' => array('alphaNumeric'),
            'message' => 'Bitte vergeben Sie einen sinnvollen Benutzernamen'
		),
        'email' => array(
        	'rule' => array('email', true),
       		'message' => 'Bitte geben Sie eine gültige Emailadresse an.'
		),
		'password' => array(
            'rule' => array('minLength', '8'),
            'message' => 'Bitte beachten Sie, dass Ihr Passwort mind. 8 Zeichen lang sein muss'
        ),


    );
	
	function getSalutations() {
		$salutations = $this->query("SHOW COLUMNS FROM users LIKE 'salutation'");
		/*	Array
			(
				[0] => Array
					(
						[COLUMNS] => Array
							(
								[Field] => salutation
								[Type] => 
								[Null] => NO
								[Key] => 
								[Default] => 
								[Extra] => 
							)
			
					)
			
			)
			*/
		$salutations = $salutations[0]['COLUMNS']['Type'];
		
		// enum('Sehr geehrte Frau','Sehr geehrter Herr','Liebe','Lieber')
		
		ereg("enum\((.*)\)", $salutations, $regs);
		
		/*
		Array
		(
			[0] => enum('Sehr geehrte Frau','Sehr geehrter Herr','Liebe','Lieber')
			[1] => 'Sehr geehrte Frau','Sehr geehrter Herr','Liebe','Lieber'
		)
		*/

		$salutations = $regs[1];
		
		// 'Sehr geehrte Frau','Sehr geehrter Herr','Liebe','Lieber'
		 		
		$salutations = str_replace("'","", $salutations);
		
		// Sehr geehrte Frau,Sehr geehrter Herr,Liebe,Lieber
		
		return split(",", $salutations);
	}
	
	function getUserIDs($users) {
		$ret = array();
		foreach ($users as $user) {
			array_push($ret, $user['User']['id']);
		}
		return $ret;
	}
	
}
?>
