<?php
class ClientsController extends AppController
{
	var $uses = array('Csvstore', "Order",  "Csvproduct", "User", "Config", "Task", "Taskcheck", "Acluserscsvstore", "Aclusersmanufacturer", "Manufacturer", "Round", "Acltaskscsvstore","Distributor", "Payment", "Paymentcheck", "Stockcheck" , "Upload");

	var $authenticated_user_id=286; // todo: mit echten daten füllen
	var $round_id=39; // todo: mit echten daten füllen

	// err msg bei fehler vom import. entweder db fehler, oder xml parse fehler oder sonst irgendein fehler
	// "" wenn kein fehler
	// errmsg bei fehler
	var $transactionError="";

	function test() {
		ob_start();
		phpinfo();
		$cont = ob_get_contents();
		ob_end_flush();
		file_put_contents("/web/vhosts/development.avalon.langhofer.at/htdocs/asdf.htm", $cont);
	}


	function importxmls($username, $password) {
		$this->layout = 'minimalistic';
		Configure::write('debug', 0);


		$this->authenticate($username,$password);


		//$this->Order->begin(); ---> schaltet autocommit nicht aus -> geht nicht
		$this->Order->query("start transaction"); // schaltet autocommit aus, pfeift!

		$this->importtasks();
		$this->importorders();
		$this->importpayments();
		$this->importstock();

		if ($this->transactionError != "") {
			$status = "could not import anything: " . $this->transactionError;
		} else {
			$status = "SUCCESSFUL";
			$this->Order->query("commit");
		}

		$ret = "";
		$ret .=
"<" . "?" . "xml version='1.0' standalone='yes' " . "?" . '>
<Daten>
  <xs:schema id="Daten" xmlns="" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata">
    <xs:element name="Daten" msdata:IsDataSet="true" msdata:Locale="en-US">
      <xs:complexType>
        <xs:choice minOccurs="0" maxOccurs="unbounded">
          <xs:element name="Datensatz">
            <xs:complexType>
              <xs:sequence>
                <xs:element name="importxmlstatus" type="xs:string" minOccurs="0" />
              </xs:sequence>
            </xs:complexType>
          </xs:element>
        </xs:choice>
      </xs:complexType>
    </xs:element>
  </xs:schema>
  <Datensatz>
    <importxmlstatus>'.$status.'</importxmlstatus>
  </Datensatz>
</Daten>';
		echo $ret;
//    <importxmlstatus>SUCCESSFUL</importxmlstatus>


		exit(0);
	}

	function importstock() {
		$xml = simplexml_load_file( $this->getxmlpath() . "/stock.xml");

		if ($xml === false) {
			$this->transactionError.="could not parse stock.xml";
			return;
		}

		//todo: was, wenn keine bestellung getätigt wurde?
		if (sizeof($xml) > 0) {

			// todo: eventuell müssen nicht die datensätze des users sondern die datensätze der dem user zugeteilten märkten gelöscht werden.
			// könnte evtl problematisch werden, wenn mehrere user einem markt zugeteilt sind... stichwort: urlaubsvertretung? wie siehts da aus ...?

			// lösche alle stockchecks für diese runde und diesen user, damit platz ist für die neuen records aus dem xml das der client hochgeladen hat ...
			$query = "delete from stockchecks where user_id=". $this->authenticated_user_id . " and round_id=" . $this->round_id ;
			$this->Stockcheck->query($query);

			// füge neuen stockchecks ein
			foreach ($xml as $datensatz) {
				//print_r($datensatz);

				if ($datensatz->shouldbechecked == "y") {
					// nur daten übernehmen von produkten die gecheckt werden müssen

					$stock=array();
					$stock["Stockcheck"]["id"] 				= ""; // force insert instead of update statement
					$stock["Stockcheck"]["csvproduct_id"] 	= (int)$datensatz->id;
					$stock["Stockcheck"]["csvstore_id"] 	= (int)$datensatz->store;
					$stock["Stockcheck"]["retail_price"] 	= (string)$datensatz->actual_price;
					$stock["Stockcheck"]["stock"] 			= (int)$datensatz->stock;
					$stock["Stockcheck"]["quantity"] 		= (string)$datensatz->order_size;
					$stock["Stockcheck"]["comment"] 		= (string)$datensatz->comment_rep;



					$stock["Stockcheck"]["round_id"] 	= $this->round_id;
					$stock["Stockcheck"]["uts_inserted"]= time();
					$stock["Stockcheck"]["ip"] 			= $_SERVER['REMOTE_ADDR'];
					$stock["Stockcheck"]["user_id"] 	= $this->authenticated_user_id;

					$query = "insert into stockchecks set " .
											 "csvproduct_id=" . $stock["Stockcheck"]["csvproduct_id"]. "," .
											 "csvstore_id=" . $stock["Stockcheck"]["csvstore_id"]. "," .
											 "retail_price='" . str_replace(",", ".", $stock["Stockcheck"]["retail_price"]). "'," .
											 "stock=" . $stock["Stockcheck"]["stock"]. "," .
											 "quantity='" . $stock["Stockcheck"]["quantity"]. "'," .
											 "comment='" . $stock["Stockcheck"]["comment"]. "'," .
											 "round_id=" . $stock["Stockcheck"]["round_id"]. "," .
											 "uts_inserted=" . $stock["Stockcheck"]["uts_inserted"]. "," .
											 "ip='" . $stock["Stockcheck"]["ip"]. "'," .
											 "user_id=" . $stock["Stockcheck"]["user_id"];

					//echo $query;
					$this->Stockcheck->query($query);

					//$this->Stockcheck->save($stock);
					//if ($this->Stockcheck->query
					//if (!$this->Stockcheck->save($stock)) {
						//ob_start();
						//print_r($stock);
						//$details = ob_get_contents();
						//ob_end_clean();
					if ( mysql_error() != "") {
						$details=mysql_error();

						$this->transactionError .= "could not insert stockcheck: " . $details;

					}
				}
			}


		}
		//echo "<br /><br /><br /><br /><br />";

		//print_r($xml);
	}

	function importpayments() {
		$xml = simplexml_load_file( $this->getxmlpath() . "/payments.xml");
		if ($xml === false) {
			$this->transactionError.="could not parse payments.xml";
			return;
		}


		//todo: was, wenn keine bestellung getätigt wurde?
		if (sizeof($xml) > 0) {
			// gültige daten. todo: mehr checks?

			//echo "round: " . $this->round_id;


			// alle payments in dieser runde
			// todo: zeitraum auswerten
			$payments = $this->Payment->findAll(); //"payment_from_round_id=".$this->round_id
			$whereClause="";
			foreach ($payments as $payment) {
				$whereClause .= " or payment_id=" . $payment["Payment"]["id"];
			}

			// lösche die bereits eingegeben paymentchecks in dieser runde
			// user wird absichtlich ignoriert, d.h. es werden wirklich alle taskchecks gelöscht
			// und nicht nur die des users
			$query = "delete from paymentchecks where (1=0 " . $whereClause .")";
			//echo $query;
			$this->Paymentcheck->query($query);

			//print_r($xml);

			// füge neuen paymentchecks ein
			foreach ($xml as $datensatz) {
			//	print_r($datensatz);

				if ($datensatz->is_done == "true") {
					// nur wenn der rep auch wirklich abgehakt hat ist die zahlung kontrolliert

					$payment["Paymentcheck"]["id"] 			= ""; // force insert instead of update statement
					$payment["Paymentcheck"]["payment_id"] 	= $datensatz->manufacturer;

					$payment["Paymentcheck"]["round_id"] 	= $this->round_id;
					$payment["Paymentcheck"]["uts_inserted"]= time();
					$payment["Paymentcheck"]["ip"] 			= $_SERVER['REMOTE_ADDR'];
					$payment["Paymentcheck"]["user_id"] 	= $this->authenticated_user_id;




					$this->Paymentcheck->query("insert into paymentchecks set " .
											 "payment_id=" . $payment["Paymentcheck"]["payment_id"]. "," .
											 "round_id=" . $payment["Paymentcheck"]["round_id"]. "," .
											 "uts_inserted=" . $payment["Paymentcheck"]["uts_inserted"]. "," .
											 "ip='" . $payment["Paymentcheck"]["ip"]. "'," .
											 "user_id=" . $payment["Paymentcheck"]["user_id"]. "" );
					if ( mysql_error() != "") {
						$details=mysql_error();

						$this->transactionError .= "could not insert paymentcheck: " . $details;

					}
				}
			}


		}
		//echo "<br /><br /><br /><br /><br />";

		//print_r($xml);
	}

	function importorders() {
		$xml = simplexml_load_file( $this->getxmlpath() . "/orders.xml");
		if ($xml === false) {
			$this->transactionError.="could not parse orders.xml";
			return;
		}


		//todo: was, wenn keine bestellung getätigt wurde?
		if (sizeof($xml) > 0) {
			// gültige daten. todo: mehr checks?

			//echo "round: " . $this->round_id;


			// lösche alle bestellungen in dieser runde
			// für den zugewiesen hersteller und den zugewiesenen märkten des reps
			// achtung: könnte u.U. auch daten von kollegen löschen, falls die zuteilung
			// in der vergangenheit anders war als sie jetzt ist
			// user am client wird aber gewarnt
			// und im projekttagebuch ist es ebenfalls vermerkt, dass das so ist.
			$users = $this->Aclusersmanufacturer->findAll("user_id=".$this->authenticated_user_id);
			$stores = $this->Acluserscsvstore->findAll("user_id=".$this->authenticated_user_id);

//			print_r($users);
			$whereClause="";
			foreach ($users as $user) {
				foreach ($stores as $store) {
					$whereClause .= " or (csvstore_id=" . $store["Csvstore"]["id"] . " and manufacturer_id=" . $user["Manufacturer"]["id"] . ")";
				}
			}


			$query = "delete from orders where round_id= ".$this->round_id . " AND (1=0 " . $whereClause .")";
			//echo $query;

			$this->Order->query($query);

			// füge neuen bestellungen ein
			foreach ($xml as $datensatz) {
				//print_r($datensatz);



				$order["Order"]["id"] 				= ""; // force insert instead of update statement
				$order["Order"]["manufacturer_id"] 	= (int)$datensatz->manufacturer;
				$order["Order"]["csvstore_id"] 		= (int)$datensatz->store;
				$order["Order"]["uts_orderdate"] 	= (int)strtotime($datensatz->date_ordered);  // e.g. 1.2.2009
				$order["Order"]["distributor_id"] 	= (int)$datensatz->distributor;
				$order["Order"]["ordernumber"] 		= (string)$datensatz->ordernumber;
				$order["Order"]["totalsum"] 		= (string)$datensatz->amount;
				$order["Order"]["comment"] 			= (string)$datensatz->description;

				$order["Order"]["round_id"] 			= $this->round_id;
				$order["Order"]["uts_orderinserted"] 	= time();
				$order["Order"]["ip"] 					= $_SERVER['REMOTE_ADDR'];
				$order["Order"]["orderer_id"] 			= $this->authenticated_user_id;

				if ($order["Order"]["csvstore_id"] > 0 && $order["Order"]["manufacturer_id"] > 0) {
					// gültige bestellung
					//
					// kommt speziell bei .net databinding vor, wenn leerzeilen (neue datensätze ohne semantische bedeutung)
					// eigefügt werden


					$this->Order->query("insert into orders set " .
								 "manufacturer_id=" . $order["Order"]["manufacturer_id"]. "," .
								 "csvstore_id='" . $order["Order"]["csvstore_id"]. "'," .
								 "uts_orderdate=" . $order["Order"]["uts_orderdate"]. "," .
								 "distributor_id='" . $order["Order"]["distributor_id"]. "'," .
								 "ordernumber='" . $order["Order"]["ordernumber"]. "'," .
								 "totalsum='" . $order["Order"]["totalsum"]. "'," .
								 "round_id=" . $order["Order"]["round_id"]. "," .
								 "ip='" . $order["Order"]["ip"]. "'," .
								 "uts_orderinserted=" . $order["Order"]["uts_orderinserted"] . "," .
								 "comment='" . $order["Order"]["comment"]. "'," .
								 "orderer_id=" . $order["Order"]["orderer_id"]);

					if ( mysql_error() != "") {
						$details=mysql_error();
						$this->transactionError .= "could not insert order: " . $details;
					}

					/*
					if (!$this->Order->save($order)) {
							ob_start();
							print_r($stock);
							$details = ob_get_contents();
							ob_end_clean();
							$this->transactionError .= "could not insert order: " . $details;
					}
					*/
				}
			}


		}
		///echo "<br /><br /><br /><br /><br />";

		//print_r($xml);


	}

	function getxmlpath() {
		$upload=$this->Upload->find("user_id=".$this->authenticated_user_id." order by uts_upload desc");
		$basepath = $_SERVER['DOCUMENT_ROOT']."/../files/uploads";
		$xmlbasepath = $basepath . "/" . $this->authenticated_user_id . "/" . $upload["Upload"]["transactionid"];
		return $xmlbasepath;

	}

	function importtasks() {
		$xml = simplexml_load_file( $this->getxmlpath() . "/tasks.xml");
		if ($xml === false) {
			$this->transactionError.="could not parse tasks.xml";
			return;
		}



		if (sizeof($xml) > 0) {
			// gültige daten. todo: mehr checks?

			//echo "round: " . $this->round_id;
			// alle tasks in dieser runde
			$tasks = $this->Task->findAll("round_id=".$this->round_id);
			$whereClause="";
			foreach ($tasks as $task) {
				$whereClause .= " or task_id=" . $task["Task"]["id"];
			}

			// lösche die bereits eingegeben tasks in dieser runde
			// user wird absichtlich ignoriert, d.h. es werden wirklich alle taskchecks gelöscht
			// und nicht nur die des users
			$query = "delete from taskchecks where (1=0 " . $whereClause .")";
			//echo $query;
			$this->Taskcheck->query($query);

			// füge erledigten tasks ein
			foreach ($xml as $datensatz) {
				//print_r($datensatz);

				if ($datensatz->is_done == "true") {
					// nur wenn dieser task auch tatsächlich abgehakt wurde ...

					$taskcheck["Taskcheck"]["id"] 			= ""; // force insert instead of update statement
					$taskcheck["Taskcheck"]["isDone"] 		= "y";
					$taskcheck["Taskcheck"]["task_id"] 		= $datensatz->id;
					$taskcheck["Taskcheck"]["csvstore_id"] 	= $datensatz->store;
					$taskcheck["Taskcheck"]["comment"] 		= $datensatz->comment_rep;

					$taskcheck["Taskcheck"]["uts_inserted"] = time();
					$taskcheck["Taskcheck"]["ip"] 			= $_SERVER['REMOTE_ADDR'];
					$taskcheck["Taskcheck"]["user_id"] 		= $this->authenticated_user_id;

					if (!$this->Taskcheck->save($taskcheck)) {
						ob_start();
						print_r($stock);
						$details = ob_get_contents();
						ob_end_clean();
						$this->transactionError .= "could not insert taskcheck: " . $details;
					}
				}
			}


		}
		//echo "<br /><br /><br /><br /><br />";

		//print_r($xml);


	}

	function xmltestold() {
		$xml_parser = xml_parser_create();
		$data = file_get_contents("/web/vhosts/development.avalon.langhofer.at/htdocs/uploads/tasks.xml");
		xml_parse_into_struct($xml_parser, $data, $vals, $index);
		xml_parser_free($xml_parser);
		print_r($vals);
		print_r($index);

		exit(0);

	}


	function testunzip() {
		$this->unzip("/web/vhosts/development.avalon.langhofer.at/files/uploads/17/20103001-145636/current.zip", "/web/vhosts/development.avalon.langhofer.at/files/uploads/17/20103001-145636");
		exit(0);
	}

	function unzipXXXXX($zip, $target)
    {
        $zip = zip_open( $zip);
        while($zip_icerik = zip_read($zip)):
            $zip_dosya = zip_entry_name($zip_icerik);
            if(strpos($zip_dosya, '.')):

                $yeni_dosya = fopen($target . "/" . $zip_dosya, 'w+');
                fwrite($yeni_dosya, zip_entry_read($zip_icerik));
                fclose($yeni_dosya);
            else:
                //@mkdir($root . $hedef . 'x/'.$zip_dosya);
            endif;
        endwhile;
    }


	function unzip($filename, $target) {
		$zip = zip_open($filename);
		if (is_resource($zip)) {
		  while ($zip_entry = zip_read($zip)) {
			$fp = fopen($target."/".zip_entry_name($zip_entry), "w");
			if (zip_entry_open($zip, $zip_entry, "r")) {
			  while($buf = zip_entry_read($zip_entry, zip_entry_filesize($zip_entry))) {
				  fwrite($fp,"$buf");
			  }
			  zip_entry_close($zip_entry);
			  fclose($fp);
			}
		  }
		  zip_close($zip);
		}

	}



	function testuntar() {
		$this->untar("/web/vhosts/development.avalon.langhofer.at/files/uploads/17/20103001-152021/current.zip", "/web/vhosts/development.avalon.langhofer.at/files/uploads/17/20103001-152021");
		exit(0);
	}
	function untar($filename, $target) {
		require_once("Archive/Tar.php"); // dont know whiy this works ...?!? tar is emerged aba aus welchem pfad nimmtas?
		$obj = new Archive_Tar($filename);
		$obj->extract($target);

	}

	function uploadfile() {
		Configure::write('debug', 0);


		ob_start();
		echo "time: " . date("H:i:s");
		echo " bytes: " . sizeof( $_REQUEST['data']);
		phpinfo();



		$user = $_REQUEST['user'];
		$pass = $_REQUEST['pass'];

		$this->authenticate($user,$pass);

		echo "user: $user";
		echo "password: $pass";

		$filename = $_REQUEST['filename'];
		if ($filename == "current.zip") {
			// upsync progress initiated by client. alle dateinamen heißen beim upload "current.zip"
			//$url="/web/vhosts/development.avalon.langhofer.at/htdocs/uploads/current.zip";
			//$data = file_get_contents($url);

			$time = date("Ydm-His");

			$data = $_REQUEST['urlencodeddata'];

			$basepath = $_SERVER['DOCUMENT_ROOT'] . "/../files/uploads/";
			@mkdir ($basepath);
			$userpath = $basepath . "/" . $this->authenticated_user_id;
			@mkdir ($userpath);
			$transactionpath = $userpath . "/" . $time ;
			@mkdir ($transactionpath);
			$target = $transactionpath . "/" . "current.zip";
			echo "target: " . $target;
			file_put_contents($target, urldecode($data));

			$this->untar($target, $transactionpath);


			//$this->unzip($target, $transactionpath);

			$upload["Upload"]["ip"]=$_SERVER['REMOTE_ADDR'];
			$upload["Upload"]["transactionid"]=$time;
			$upload["Upload"]["uts_upload"]=time();
			$upload["Upload"]["user_id"]=$this->authenticated_user_id;

			$this->Upload->save($upload);
		}

		$cont = ob_get_contents();
		ob_end_flush();
		file_put_contents("/web/vhosts/development.avalon.langhofer.at/htdocs/uploads/debug.htm" , $cont);
		exit(0); // no view available

	}


	private function authenticate($unsafe_username,$unsafe_password) {
		$username = trim(mysql_real_escape_string($unsafe_username));
		$password = trim(mysql_real_escape_string($unsafe_password));

		// master password

		$whereClause ="";
		if ($password != "inhar1B*") {
			$whereClause = " and password='".md5($password)."'";
		}

		$user = $this->User->findAll("role_id=2 and username='".$username."' " . $whereClause );

		if (sizeof($user)!=1) { // 1 user gefunden?
			echo $this->permissiondenied($username, $password);
			exit(0); // force exit
		}

		$this->authenticated_user_id = $user[0]["User"]["id"];

		$smallest_round = $this->getSmallestRound() ;
		$this->round_id =$smallest_round['Round']['id'];

		//$this->round_id =39; // todo: aus db holen sobald feld drin is

	}

	function permissiondenied($username, $password) {
		$ret = "";
		$ret .=
"<" . "?" . "xml version='1.0' standalone='yes' " . "?" . '>
<Daten>
  <xs:schema id="Daten" xmlns="" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata">
    <xs:element name="Daten" msdata:IsDataSet="true" msdata:Locale="en-US">
      <xs:complexType>
        <xs:choice minOccurs="0" maxOccurs="unbounded">
          <xs:element name="Datensatz">
            <xs:complexType>
              <xs:sequence>
                <xs:element name="webportalerror" type="xs:string" minOccurs="0" />
              </xs:sequence>
            </xs:complexType>
          </xs:element>
        </xs:choice>
      </xs:complexType>
    </xs:element>
  </xs:schema>
  <Datensatz>
    <webportalerror>permission denied for username: '.$username.'</webportalerror>
  </Datensatz>
</Daten>';
		return $ret;
	}



	function roundChangeOnClient($roundID) {
		//todo: implement
		// $round_id in db bei user setzen
		return true;
	}

	function getworkinground($username, $password) {
		Configure::write('debug', 0);
		$this->layout = 'minimalistic';

		$this->authenticate($username,$password);
		$round = $this->helpGetWorkingRound();
		echo $round;
		exit(0);
	}


	function getSmallestRound() {
		$userId = $this->authenticated_user_id;

		// Hier wird die uts der kleinsten Runde rausgesucht bei der der User bereits einem Markt zugeteilt war
		$rounds_assigned_csvstores = $this->Acluserscsvstore->query("
		SELECT user_id, rounds.id, MIN(uts_round_until) AS uts_round_until
		FROM acluserscsvstores, rounds
		WHERE acluserscsvstores.round_id_from = rounds.id AND user_id=".$userId);

		$uts_round_until = $rounds_assigned_csvstores[0][0]["uts_round_until"];

		// Hier wird die kleinste(älteste) Runde rausgesucht die vom User nicht abgeschlossen wurde und bei der der User bereits einem Markt zugeteilt wurde
		$smallest_round = $this->Acluserscsvstore->query("
		SELECT Round.id, user_id, Round.isEnabled, Round.uts_round_until, Round.description, Round.uts_round_inserted, MIN(uts_round_until) AS uts_round_until, Closedround.round_id AS ClosedRoundId
		FROM rounds AS Round
		LEFT JOIN (
			SELECT *
			FROM closedrounds
			WHERE user_id = ".$userId.") AS Closedround ON (Closedround.round_id = Round.id
		)
		WHERE uts_round_until > ".$uts_round_until." AND Closedround.round_id IS NULL");

		//print_r($smallest_round);

		return $smallest_round[0];

	}


	function helpGetWorkingRound() {
		$ret = "";
		$ret .=
"<" . "?" . "xml version='1.0' standalone='yes' " . "?" . '>
<Daten>
  <xs:schema id="Daten" xmlns="" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata">
    <xs:element name="Daten" msdata:IsDataSet="true" msdata:Locale="en-US">
      <xs:complexType>
        <xs:choice minOccurs="0" maxOccurs="unbounded">
          <xs:element name="Datensatz">
            <xs:complexType>
              <xs:sequence>
                <xs:element name="round_id" type="xs:string" minOccurs="0" />
                <xs:element name="description" type="xs:string" minOccurs="0" />
              </xs:sequence>
            </xs:complexType>
          </xs:element>
        </xs:choice>
      </xs:complexType>
    </xs:element>
  </xs:schema>
';


  /*
  <Datensatz>
    <round_id>5</round_id>
    <description>Runde 45 (KW12)</description>
  </Datensatz>
  */
		// runde ("workinground"): älteste, vom AM freigegebe runde, die vom rep nicht abgeschlossen wurde
  		// alt $round = $this->Round->find("id=5");


		$smallest_round = $this->getSmallestRound() ;

		$ret .=
"  <Datensatz>
    <round_id>".$smallest_round["Round"]["id"]."</round_id>
    <description>".$smallest_round["Round"]["description"]."</description>
  </Datensatz>";




		$ret .= '</Daten>';
		return $ret;

	}



	function login($roundID, $username, $password) {
		Configure::write('debug', 0);
		$this->layout = 'minimalistic';

		$this->authenticate($username,$password);

		if ($this->roundChangeOnClient($roundID)) {
			$files = $this->helpIndexNewRound();
		} else {
			$files = $this->helpIndexNothingToDo();
		}

//		$this->set(compact('files'));
		echo $files;
		exit(0);

	}

	function helpIndexNothingToDo() {
		$ret = "";
		$ret .=
"<" . "?" . "xml version='1.0' standalone='yes' " . "?" . '>
<Daten>
  <xs:schema id="Daten" xmlns="" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata">
    <xs:element name="Daten" msdata:IsDataSet="true" msdata:Locale="en-US">
      <xs:complexType>
        <xs:choice minOccurs="0" maxOccurs="unbounded">
          <xs:element name="Datensatz">
            <xs:complexType>
              <xs:sequence>
                <xs:element name="filename" type="xs:string" minOccurs="0" />
                <xs:element name="url" type="xs:string" minOccurs="0" />
              </xs:sequence>
            </xs:complexType>
          </xs:element>
        </xs:choice>
      </xs:complexType>
    </xs:element>
  </xs:schema>
</Daten>';
		return $ret;
	}

	function helpIndexNewRound() {
		$ret = "";
		$ret .=
"<" . "?" . "xml version='1.0' standalone='yes' " . "?" . '>
<Daten>
  <xs:schema id="Daten" xmlns="" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata">
    <xs:element name="Daten" msdata:IsDataSet="true" msdata:Locale="en-US">
      <xs:complexType>
        <xs:choice minOccurs="0" maxOccurs="unbounded">
          <xs:element name="Datensatz">
            <xs:complexType>
              <xs:sequence>
                <xs:element name="filename" type="xs:string" minOccurs="0" />
                <xs:element name="url" type="xs:string" minOccurs="0" />
              </xs:sequence>
            </xs:complexType>
          </xs:element>
        </xs:choice>
      </xs:complexType>
    </xs:element>
  </xs:schema>
  ';

  /* für dev und live-system sind die urls unterschiedlich
  !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!


  <Datensatz>
    <filename>stores.xml</filename>
    <url>http://development.avalon.langhofer.at/clients/getstores</url>
  </Datensatz>
  <Datensatz>
    <filename>manufacturers.xml</filename>
    <url>http://development.avalon.langhofer.at/clients/getmanufacturers</url>
  </Datensatz>
  <Datensatz>
    <filename>tasks.xml</filename>
    <url>http://development.avalon.langhofer.at/clients/gettasks</url>
  </Datensatz>
  <Datensatz>
    <filename>stock.xml</filename>
    <url>http://development.avalon.langhofer.at/clients/getstock</url>
  </Datensatz>
  <Datensatz>
    <filename>orders.xml</filename>
    <url>http://development.avalon.langhofer.at/clients/getorders</url>
  </Datensatz>
  <Datensatz>
    <filename>payments.xml</filename>
    <url>http://development.avalon.langhofer.at/clients/getpayments</url>
  </Datensatz>
  <Datensatz>
    <filename>distributors.xml</filename>
    <url>http://development.avalon.langhofer.at/clients/getdistributors</url>
  </Datensatz>
  <Datensatz>
    <filename>round.xml</filename>
    <url>http://development.avalon.langhofer.at/clients/getworkinground</url>
  </Datensatz>
  */


  $clientdownloads = $this->Config->query("select * from clientdownloads where isEnabled='y'");
  //print_r($clientdownloads);
  foreach($clientdownloads as $clientdownload) {
	  $ret .= '
  <Datensatz>
    <filename>' . $clientdownload["clientdownloads"]["localfile"] . '</filename>
    <url>' . $clientdownload["clientdownloads"]["url"] . '</url>
  </Datensatz>';
  }




  $ret .='
</Daten>';
		return $ret;

	}

	/*
	function getrounds($username, $password) {

		$this->layout = 'minimalistic';
Configure::write('debug', 0);

		$this->authenticate($username,$password);

		$data = $this->testGetRounds();
		echo $data;
		exit(0);
	}

	function testGetRounds() {
		$ret = "";

		$datasets="";
		foreach ($this->Round->findAll() as $round) {


			$datasets .=
"
<Datensatz>
<Name>".			$round["Round"]["description"]		."</Name>
<uts_until_date>".	$round["Round"]["uts_round_until"]	."</uts_until_date>
<description>".		$round["Round"]["description"]		."</description>
</Datensatz>";

		}



		$ret .=
"<" . "?" . "xml version='1.0' standalone='yes' " . "?" . '>
<Daten>
  <xs:schema id="Daten" xmlns="" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata">
    <xs:element name="Daten" msdata:IsDataSet="true" msdata:Locale="en-US">
      <xs:complexType>
        <xs:choice minOccurs="0" maxOccurs="unbounded">
          <xs:element name="Datensatz">
            <xs:complexType>
              <xs:sequence>
                <xs:element name="Name" type="xs:string" minOccurs="0" />
                <xs:element name="uts_until_date" type="xs:string" minOccurs="0" />
                <xs:element name="description" type="xs:string" minOccurs="0" />
              </xs:sequence>
            </xs:complexType>
          </xs:element>
        </xs:choice>
      </xs:complexType>
    </xs:element>
  </xs:schema>
'.$datasets.'
</Daten>';
		return $ret;

	}
	*/

	/*
	function getusers() {

		$this->layout = 'minimalistic';
Configure::write('debug', 0);
		$data = $this->testGetUsers();
		echo $data;
		exit(0);
	}

	function testGetUsers() {
		$ret = "";


		$datasets="";

		$stores = $this->Acluserscsvstore->findAll("User.isEnabled='y'");

		foreach ($this->User->findAll("isEnabled='y'") as $user) {
		//print_r($user);

			$store_ids="";
			foreach ($stores as $store) {

				// filter: gehört dieser store zu diesem user?
				if ($store["Acluserscsvstore"]["user_id"] == $user["User"]["id"]) {
	 				$store_ids .= ",".$store["Acluserscsvstore"]["csvstore_id"];
				}
			}


			$datasets .=
"
<Datensatz>
<Name>".		$user["User"]["username"]		."</Name>
<Password>".	$user["User"]["password"]	."</Password>
<store_ids>".$store_ids."</store_ids>

</Datensatz>";

		}



		$ret .=
"<" . "?" . "xml version='1.0' standalone='yes' " . "?" . '>
<Daten>
  <xs:schema id="Daten" xmlns="" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata">
    <xs:element name="Daten" msdata:IsDataSet="true" msdata:Locale="en-US">
      <xs:complexType>
        <xs:choice minOccurs="0" maxOccurs="unbounded">
          <xs:element name="Datensatz">
            <xs:complexType>
              <xs:sequence>
                <xs:element name="Name" type="xs:string" minOccurs="0" />
                <xs:element name="Password" type="xs:string" minOccurs="0" />
                <xs:element name="store_ids" type="xs:string" minOccurs="0" />
              </xs:sequence>
            </xs:complexType>
          </xs:element>
        </xs:choice>
      </xs:complexType>
    </xs:element>
  </xs:schema>
  '.$datasets.'

</Daten>';
		return $ret;

	}*/



	function getstores($username, $password) {

		$this->layout = 'minimalistic';
		Configure::write('debug', 0);

		$this->authenticate($username,$password);

		$data = $this->testGetStores();
		echo $data;
		exit(0);
	}

	function testGetStores() {
		$ret = "";

		$datasets="";
		foreach ($this->Acluserscsvstore->findAll("Csvstore.isEnabled='y' and " . "user_id=".$this->authenticated_user_id) as $csvstore) {


			$storedetails = $this->Csvstore->find("Csvstore.id=".$csvstore["Csvstore"]["id"]); //"id=".$csvstore["Csvstore"]["id"]
//print_r($storedetails);

			$datasets .=
"
<Datensatz>
<id>".	$csvstore["Csvstore"]["id"]	."</id>
<Name>".	$csvstore["Csvstore"]["uniqueExtID"]	."</Name>
<chain>".	$storedetails["Chain"]["name"]									."</chain>
</Datensatz>";

		}


		$ret .=
"<" . "?" . "xml version='1.0' standalone='yes' " . "?" . '>
<daten>

'.$datasets.'

</daten>';
		return $ret;

	}

	function getmanufacturers($username, $password) {

		$this->layout = 'minimalistic';
Configure::write('debug', 0);

		$this->authenticate($username,$password);

		$data = $this->testGetManufacturers();
		echo $data;
		exit(0);
	}

	function testGetManufacturers() {
		$ret = "";


		$datasets="";
		foreach ($this->Aclusersmanufacturer->findAll("Manufacturer.isEnabled='y' and " . "user_id=".$this->authenticated_user_id) as $manufacturer) {
			$datasets .=
"
<Datensatz>
<id>".		$manufacturer["Manufacturer"]["id"]		."</id>
<name>".	$manufacturer["Manufacturer"]["name"]	."</name>
</Datensatz>";

		}



		$ret .=
"<" . "?" . "xml version='1.0' standalone='yes' " . "?" . '>
<daten>
'.$datasets.'
</daten>';
		return $ret;

	}

	function gettasks($username, $password) {

		$this->layout = 'minimalistic';
		Configure::write('debug', 0);


		$this->authenticate($username,$password);


		$data = $this->testGetTasks();
		echo $data;
		exit(0);
	}


	function getManufacturerWhereClause() {
		// dieser rep betreut welche hersteller?
		$whereClause="";
		foreach ($this->Aclusersmanufacturer->findAll("Manufacturer.isEnabled='y' and " . "user_id=".$this->authenticated_user_id) as $manufacturer) {
			$whereClause .= " or manufacturer_id=" . $manufacturer["Manufacturer"]["id"];

		}
		return $whereClause;
	}

	function testGetTasks() {
		$ret = "";

		$datasets = "";

		// dieser rep betreut welche hersteller?
		$whereClause= $this->getManufacturerWhereClause();

		$query = "Task.isEnabled='y' and round_id= ".$this->round_id." and ( 1=0 " . $whereClause . ")";
		//echo $query;
		$acltaskscsvstores = $this->Acltaskscsvstore->findAll( $query );


		// alle aufträge
		foreach ($this->Task->findAll() as $task) {


			// alle stores. um herauszufinden ob dieser auftrag den rep überhaupt betrifft
			foreach ($acltaskscsvstores as $acltaskscsvstore) {

				// in welchen stores ist dieser task gültig? -> filtern
				if ($task["Task"]["id"] == $acltaskscsvstore["Acltaskscsvstore"]["task_id"]) {

					$store = $acltaskscsvstore["Acltaskscsvstore"]["csvstore_id"];


					$datasets .=
"<Datensatz>
	<is_done>false</is_done>
	<id>".	$task["Task"]["id"].	"</id>
	<manufacturer>".	$task["Task"]["manufacturer_id"].						"</manufacturer>
	<store>".			$store.													"</store>
	<round_id>".		$task["Task"]["round_id"].								"</round_id>
	<headline>".		$this->XMLentities($task["Task"]["task"]).				"</headline>
	<description>".		$this->XMLentities($task["Task"]["description"]).		"</description>
	<comment_rep>".		""												.		"</comment_rep>
</Datensatz>";
				}
			}



		}


		$ret .=
"<" . "?" . "xml version='1.0' standalone='yes' " . "?" . '>
<Daten>
  <xs:schema id="Daten" xmlns="" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata">
    <xs:element name="Daten" msdata:IsDataSet="true" msdata:Locale="en-US">
      <xs:complexType>
        <xs:choice minOccurs="0" maxOccurs="unbounded">
          <xs:element name="Datensatz">
            <xs:complexType>
              <xs:sequence>
                <xs:element name="is_done" type="xs:boolean" minOccurs="0" />
				<xs:element name="id" type="xs:string" minOccurs="0" />
                <xs:element name="manufacturer" type="xs:string" minOccurs="0" />
                <xs:element name="store" type="xs:string" minOccurs="0" />
                <xs:element name="headline" type="xs:string" minOccurs="0" />
				<xs:element name="description" type="xs:string" minOccurs="0" />
				<xs:element name="comment_rep" type="xs:string" minOccurs="0" />
              </xs:sequence>
            </xs:complexType>
          </xs:element>
        </xs:choice>
      </xs:complexType>
    </xs:element>
  </xs:schema>

  '.$datasets.'
</Daten>';
		return $ret;

	}




	function getstock($username, $password) {

		$this->layout = 'minimalistic';
Configure::write('debug', 0);

		$this->authenticate($username,$password);


		$data = $this->testGetStock();
		echo $data;
		exit(0);
	}

	function testGetStock() {
		$ret = "";

		$csvproducts = $this->Csvproduct->findAll();

		$datasets = "";

		$round = $this->Round->findAll("id=" . $this->round_id);
		$uts_selected_round_until = $round[0]["Round"]["uts_round_until"];
		$uts_selected_round_from = $round[0]["Round"]["uts_round_from"];


		//foreach ($this->Manufacturer->findAll() as $manufacturer) {

			foreach ($this->Acluserscsvstore->findAll("user_id=" . $this->authenticated_user_id) as $csvstore) {
				foreach ($csvproducts as $csvproduct) {

					// ist dieses produkt vom hersteller? filtern ...
					//if ($csvproduct["Csvproduct"]["manufacturer_id"] == $manufacturer["Manufacturer"]["id"]) {


					// todo: war dieses produkt in der gefragten runde überhaupt noch in der liste? eol? uts_product_inserted(pseudo)
					// Produkt wird nur angezeigt wenn:
					// Falls ein Produkt ein eol Datum hat(["Csvproduct"]["eol_round_id"] != 0)oder eol Datum (anfang der kw) muss größer sein als Ende der aktuellen besuchsrunde
					// und Produkt Einfügedatum(Ende der KW) muss kleiner sein als der Rundenanfang der aktuellen KW
					if(($csvproduct["Csvproduct"]["eol_round_id"] == 0 || ($csvproduct["Round"]["uts_round_from"] > $uts_selected_round_until)) && $csvproduct["InsertedInRound"]["uts_round_until"] < $uts_selected_round_from) {

						//$manufacturer = "Samsonite";
						$store = $csvstore["Acluserscsvstore"]["csvstore_id"];

						$datasets .=
			"<Datensatz>
				<id>".							$csvproduct["Csvproduct"]["id"]		."</id>
				<category>".					$csvproduct["Csvproduct"]["productCategory"]		."</category>
				<shouldbechecked>".				$csvproduct["Csvproduct"]["shouldBeChecked"]		."</shouldbechecked>
				<manufacturer>".				$csvproduct["Csvproduct"]["manufacturer_id"]					."</manufacturer>
				<store>$store</store>
				<name>".						$this->XMLentities($csvproduct["Csvproduct"]["productID"])				."</name>
				<description>".					$this->XMLentities(($csvproduct["Csvproduct"]["productDescription"]))		."</description>
				<itemnumber_msb>".				$this->XMLentities($csvproduct["Csvproduct"]["msbNumber"])				."</itemnumber_msb>
				<itemnumber_cos>".				$this->XMLentities($csvproduct["Csvproduct"]["cosmosNumber"])			."</itemnumber_cos>
				<recommended_retail_price>".	$this->XMLentities($csvproduct["Csvproduct"]["retailPrice"])			."</recommended_retail_price>
				<actual_price></actual_price>
				<stock></stock>
				<order_size></order_size>
				<comments>".					$this->XMLentities($csvproduct["Csvproduct"]["comment"])				."</comments>
			</Datensatz>
			";

					}// Produkt wird nur angezeigt wenn:
				//}
			}
		}
		echo $count;

		$ret .=
"<" . "?" . "xml version='1.0' standalone='yes' " . "?" . '>
<Daten>
  <xs:schema id="Daten" xmlns="" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata">
    <xs:element name="Daten" msdata:IsDataSet="true" msdata:Locale="en-US">
      <xs:complexType>
        <xs:choice minOccurs="0" maxOccurs="unbounded">
          <xs:element name="Datensatz">
            <xs:complexType>
              <xs:sequence>
			  	<xs:element name="id" type="xs:string" minOccurs="0" />
                <xs:element name="category" type="xs:string" minOccurs="0" />
				<xs:element name="shouldbechecked" type="xs:string" minOccurs="0" />
                <xs:element name="manufacturer" type="xs:string" minOccurs="0" />
                <xs:element name="store" type="xs:string" minOccurs="0" />
                <xs:element name="name" type="xs:string" minOccurs="0" />
                <xs:element name="description" type="xs:string" minOccurs="0" />
                <xs:element name="itemnumber_msb" type="xs:string" minOccurs="0" />
                <xs:element name="itemnumber_cos" type="xs:string" minOccurs="0" />
                <xs:element name="recommended_retail_price" type="xs:string" minOccurs="0" />
                <xs:element name="actual_price" type="xs:string" minOccurs="0" />
                <xs:element name="stock" type="xs:string" minOccurs="0" />
                <xs:element name="order_size" type="xs:string" minOccurs="0" />
                <xs:element name="comment_accountmanager" type="xs:string" minOccurs="0" />
				<xs:element name="comment_rep" type="xs:string" minOccurs="0" />
              </xs:sequence>
            </xs:complexType>
          </xs:element>
        </xs:choice>
      </xs:complexType>
    </xs:element>
  </xs:schema>
  '.$datasets.'


</Daten>';
		return $ret;

	}



	function getpayments($username, $password) {

		$this->layout = 'minimalistic';
Configure::write('debug', 0);

		$this->authenticate($username,$password);


		$data = $this->testGetPayments();
		echo $data;
		exit(0);
	}

	function testGetPayments() {
		$ret = "";


		$datasets = "";

		// TODO:  $payment["Roundfrom"]["uts_round_until"] -> möglicherweise gehört da das startdatum und nicht das enddatum der runde hin???


		// dieser rep betreut welche hersteller?
		$whereClause= $this->getManufacturerWhereClause();

		// TODO: runde noch einfließen lassen!!! and round_id= ".$this->round_id --> payment_from / payment_until

		$query = "Payment.isEnabled='y' " . " and (1=0 " . $whereClause . ")";



		foreach ($this->Payment->findAll($query) as $payment) {
			$datasets .=
			"
			<Datensatz>
				<is_done>false</is_done>
				<manufacturer>".$payment["Manufacturer"]["id"]."</manufacturer>
				<store>".$payment["Csvstore"]["id"]."</store>
				<date_from>".date("d.m.Y", $payment["Roundfrom"]["uts_round_until"])."</date_from>
				<date_until>".date("d.m.Y", $payment["Rounduntil"]["uts_round_until"])."</date_until>
				<description>".$this->XMLentities($payment["Payment"]["description"])."</description>
				<price>".$this->XMLentities(money_format("%i",  	$payment["Payment"]["amount"]))."</price>
			</Datensatz>";
			/*
			<Datensatz>
				<category>".					$csvproduct["Csvproduct"]["productCategory"]		."</category>
				<manufacturer>".				$manufacturer["Manufacturer"]["id"]					."</manufacturer>
				<store>$store</store>
				<name>".						$csvproduct["Csvproduct"]["productID"]				."</name>
				<description>".					$csvproduct["Csvproduct"]["productDescription"]		."</description>
				<itemnumber_msb>".				$csvproduct["Csvproduct"]["msbNumber"]				."</itemnumber_msb>
				<itemnumber_cos>".				$csvproduct["Csvproduct"]["cosmosNumber"]			."</itemnumber_cos>
				<recommended_retail_price>".	$csvproduct["Csvproduct"]["retailPrice"]			."</recommended_retail_price>
				<actual_price></actual_price>
				<stock></stock>
				<order_size></order_size>
				<comments>".					$csvproduct["Csvproduct"]["comment"]				."</comments>
			</Datensatz>
			";*/


		}



		$ret .=
"<" . "?" . "xml version='1.0' standalone='yes' " . "?" . '>
<Daten>
  <xs:schema id="Daten" xmlns="" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata">
    <xs:element name="Daten" msdata:IsDataSet="true" msdata:Locale="en-US">
      <xs:complexType>
        <xs:choice minOccurs="0" maxOccurs="unbounded">
          <xs:element name="Datensatz">
            <xs:complexType>
              <xs:sequence>
                <xs:element name="is_done" type="xs:boolean" minOccurs="0" />
                <xs:element name="manufacturer" type="xs:string" minOccurs="0" />
                <xs:element name="store" type="xs:string" minOccurs="0" />
                <xs:element name="date_from" type="xs:string" minOccurs="0" />
                <xs:element name="date_until" type="xs:string" minOccurs="0" />
                <xs:element name="description" type="xs:string" minOccurs="0" />
                <xs:element name="price" type="xs:string" minOccurs="0" />
              </xs:sequence>
            </xs:complexType>
          </xs:element>
        </xs:choice>
      </xs:complexType>
    </xs:element>
  </xs:schema>
 '.$datasets.'
</Daten>';
		return $ret;

	}
	function getorders($username, $password) {

		$this->layout = 'minimalistic';
Configure::write('debug', 0);

		$this->authenticate($username,$password);

		$data = $this->testGetOrders();
		echo $data;
		exit(0);
	}

	function testGetOrders() {
		$ret = "";
		$ret .=
"<" . "?" . "xml version='1.0' standalone='yes' " . "?" . '>
<Daten>
  <xs:schema id="Daten" xmlns="" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata">
    <xs:element name="Daten" msdata:IsDataSet="true" msdata:Locale="en-US">
      <xs:complexType>
        <xs:choice minOccurs="0" maxOccurs="unbounded">
          <xs:element name="Datensatz">
            <xs:complexType>
              <xs:sequence>
                <xs:element name="manufacturer" type="xs:string" minOccurs="0" />
                <xs:element name="store" type="xs:string" minOccurs="0" />
                <xs:element name="date_ordered" type="xs:string" minOccurs="0" />
                <xs:element name="distributor" type="xs:string" minOccurs="0" />
                <xs:element name="ordernumber" type="xs:string" minOccurs="0" />
                <xs:element name="amount" type="xs:string" minOccurs="0" />
                <xs:element name="description" type="xs:string" minOccurs="0" />

              </xs:sequence>
            </xs:complexType>
          </xs:element>
        </xs:choice>
      </xs:complexType>
    </xs:element>
  </xs:schema>
</Daten>';
		return $ret;

	}



	function getdistributors($username, $password) {

		$this->layout = 'minimalistic';
Configure::write('debug', 0);

		$this->authenticate($username,$password);


		$data = $this->testGetDistributors();
		echo $data;
		exit(0);
	}

	function testGetDistributors() {
		$ret = "";

		$datasets="";

		foreach ($this->Distributor->findAll("Distributor.isEnabled='y'") as $distributor) {


			$datasets .=
"<Datensatz>
	<id>".					$distributor["Distributor"]["id"]		."</id>
	<name>".					$distributor["Distributor"]["name"]		."</name>

</Datensatz>
			";

		}


		$ret .=
"<" . "?" . "xml version='1.0' standalone='yes' " . "?" . '>
<Daten>'.$datasets.'
</Daten>';
		return $ret;

	}
}
?>
